classification
Title: os.path.ismount (ntpath) gives UnboundLocalError for any input
Type: Stage:
Components: Library (Lib) Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, mnewman
Priority: normal Keywords:

Created on 2009-03-29 12:39 by mnewman, last changed 2009-03-29 13:04 by benjamin.peterson. This issue is now closed.

Messages (2)
msg84382 - (view) Author: Michael Newman (mnewman) Date: 2009-03-29 12:39
os.path.ismount gives UnboundLocalError for any input in Python 3.0:

Python 3.0.1 (r301:69561, Feb 13 2009, 20:04:18) [MSC v.1500 32 bit
(Intel)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>> import os.path
>>> os.path
<module 'ntpath' from 'C:\python30\lib\ntpath.py'>
UnboundLocalError: local variable 'p' referenced before assignment
>>> os.path.ismount("C:\\")
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "C:\python30\lib\ntpath.py", line 260, in ismount
    seps = _get_bothseps(p)
UnboundLocalError: local variable 'p' referenced before assignment
>>> os.path.ismount("C:\\windows")
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "C:\python30\lib\ntpath.py", line 260, in ismount
    seps = _get_bothseps(p)
UnboundLocalError: local variable 'p' referenced before assignment

It works fine in Python 2.6:
Python 2.6.1 (r261:67517, Dec  4 2008, 16:51:00) [MSC v.1500 32 bit
(Intel)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>> import os.path
>>> os.path
<module 'ntpath' from 'C:\python26\lib\ntpath.pyc'>
>>> os.path.ismount("C:\\")
True
>>> os.path.ismount("C:\\windows")
False
msg84390 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2009-03-29 13:04
Fixed in r70676.
History
Date User Action Args
2009-06-25 13:33:22amaury.forgeotdarclinkissue6342 dependencies
2009-03-29 13:04:05benjamin.petersonsetstatus: open -> closed

nosy: + benjamin.peterson
messages: + msg84390

resolution: fixed
2009-03-29 12:39:52mnewmancreate